Package org.apache.lucene.analysis.morph

# Class ViterbiNBest.Lattice<U extends MorphData>

java.lang.Object
org.apache.lucene.analysis.morph.ViterbiNBest.Lattice<U>

Enclosing class:
  `ViterbiNBest<T extends Token,U extends MorphData>`

protected static final class ViterbiNBest.Lattice<U extends MorphData> extends Object
Yet another lattice data structure for keeping n-best path.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Lattice()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TokenType`
  `getNodeDicType(int node)`
  `int`
  `getNodeLeft(int node)`
  `int`
  `getNodeRight(int node)`
  `int`
  `getNodeWordID(int node)`
  `int`
  `getRootBase()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Lattice

    protected Lattice()

- ## Method Details

  - ### getNodeLeft

    public int getNodeLeft(int node)

  - ### getNodeRight

    public int getNodeRight(int node)

  - ### getNodeDicType

    public TokenType getNodeDicType(int node)

  - ### getNodeWordID

    public int getNodeWordID(int node)

  - ### getRootBase

    public int getRootBase()